curl --request GET \
--url https://api.deepinfra.com/deploy/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deepinfra.com/deploy/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deepinfra.com/deploy/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"deploy_id": "fkj843kjh8",
"model_name": "google/vit-base-patch16-224",
"version": "d8b79b422843bd59d628bf25b01aded94a9ec1a9b917e69fe460df9ff39ec42b",
"task": "image-classification",
"status": "deployed",
"fail_reason": "Initialization failed",
"created_at": "2021-08-27T17:19:21+00:00",
"updated_at": "2021-08-27T17:19:21+00:00",
"type": "legacy",
"instances": {
"running": 123,
"pending": 123
},
"config": {
"gpu": "L4-24GB",
"num_gpus": 123,
"max_batch_size": 123,
"weights": {
"repo": "<string>",
"revision": "<string>",
"token": "<string>"
}
},
"settings": {
"min_instances": 1,
"max_instances": 1
},
"standard_args": {
"max_context_size": 5000000,
"max_concurrent_requests": 512,
"gpu_memory_fraction": 0.735,
"max_prefill_tokens": 65792,
"kv_cache_dtype": "auto",
"enable_prefix_caching": true,
"quantization": "fp8"
},
"extra_args": [
"<string>"
],
"update_error": "<string>",
"rollout": {
"up_to_date": 123,
"outdated": 123,
"booting": 123
}
}
]{
"error": "Model not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Deploy List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A list of statuses that should be returned, separated by comma. Allowed values in the list are: initializing,downloading,deploying,running,updating,stopped,failed,deleted
Response
Successful Response
Deploy Id
"fkj843kjh8"
Model Id from huggingface
"google/vit-base-patch16-224"
Model version
"d8b79b422843bd59d628bf25b01aded94a9ec1a9b917e69fe460df9ff39ec42b"
Task
"image-classification"
Status
"deployed"
Failure reason
"Initialization failed"
Created at
"2021-08-27T17:19:21+00:00"
Updated at
"2021-08-27T17:19:21+00:00"
legacy, llm, lora, tts Details about number of instances running right now
Show child attributes
Show child attributes
Immutable deploy configuration
Show child attributes
Show child attributes
Scale Settings
Show child attributes
Show child attributes
Current engine tuning knobs
Show child attributes
Show child attributes
Current extra engine-specific command-line args (custom-weight deploys only)
If the last config update was auto-reverted after an engine crash-loop, the error that caused it (status stays 'running')
Per-instance rollout progress of the current config
Show child attributes
Show child attributes